---
title: Notification.data
slug: Web/API/Notification/data
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - data
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>data</code></strong> read-only property of the {{domxref("Notification")}} interface returns a structured clone of the notification's data, as specified in the <code>data</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<p>The notification's data can be any arbitrary data that you want associated with the notification.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>data</var> = <var>Notification</var>.data;
</pre>

<h3 id="Value">Value</h3>

<p>A structured clone.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet fires a notification; a simple <code>options</code> object is created, then the notification is fired using the <code>Notification()</code> constructor.</p>

<pre class="brush: js notranslate">var options = {
  body: 'Do you like my body?',
  data: 'I like peas.'
}

var n = new Notification('Test notification',options);

console.log(n.data) // should return 'I like peas.'</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-data','data')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.data")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
